#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,144,216,288,360,504,576,648,720,1080,1440
 * N : 25,144,216,288,360,504,576,648,720,1080,1440
 * NB : 3,8,12,12,24,24,36,72,72,72,144
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 84) (nb_) = 3; \
   else if ((n_) < 180) (nb_) = 8; \
   else if ((n_) < 324) (nb_) = 12; \
   else if ((n_) < 540) (nb_) = 24; \
   else if ((n_) < 612) (nb_) = 36; \
   else if ((n_) < 1260) (nb_) = 72; \
   else (nb_) = 144; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
