#ifndef ATL_zGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,96,240,336,384,480,720,1008
 * N : 25,96,240,336,384,480,720,1008
 * NB : 3,8,12,12,48,48,48,96
 */
#define ATL_zGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 60) (nb_) = 3; \
   else if ((n_) < 168) (nb_) = 8; \
   else if ((n_) < 360) (nb_) = 12; \
   else if ((n_) < 864) (nb_) = 48; \
   else (nb_) = 96; \
}


#endif    /* end ifndef ATL_zGetNB_geqrf */
